Skip to content

Create a Webhook Subscription

POST https://api.slidespeak.co/api/v1/webhook/subscribe
Creates a webhook subscription that sends HTTP POST notifications to your specified endpoint when a presentation generation task completes. Use this to automate downstream workflows, trigger notifications, or integrate SlideSpeak with other systems. You can remove subscriptions with the Delete a Webhook Subscription endpoint.

Headers


Content-Type: string
application/json
X-API-Key: string
The API key to use for the request.
<YOUR_API_KEY>

Body Parameters


endpoint: string
The endpoint URL to receive the webhook.

Code Examples


Terminal window
curl -X POST https://api.slidespeak.co/api/v1/webhook/subscribe -H "Content-Type: application/json" -H "X-API-Key: <YOUR_API_KEY>" -d '{
"endpoint": "https://yourapp.com/webhook/presentation-generated"
}'

Response


{
    "webhook_id": "353509d6-8efe-401c-a8a9-53ca64b520a3"
}